Pular para o conteúdo principal
PUT
/
api
/
v1
/
dict
/
internal
/
participant-settings
Provisionar o ISPB do participante
curl --request PUT \
  --url https://spi.sandbox.lerian.net/api/v1/dict/internal/participant-settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "participantIspb": "<string>"
}
'
import requests

url = "https://spi.sandbox.lerian.net/api/v1/dict/internal/participant-settings"

payload = { "participantIspb": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({participantIspb: '<string>'})
};

fetch('https://spi.sandbox.lerian.net/api/v1/dict/internal/participant-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "participantIspb": "<string>",
  "updatedAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Autorizações

Authorization
string
header
obrigatório

JWT bearer token issued by the identity provider.

Corpo

application/json

Participant ISPB to provision as the authoritative inventory for FULL DICT reconciliation (idempotent upsert)

participantIspb
string
obrigatório

FI participant ISPB to provision, the 8-digit BACEN institution identifier (exactly 8 digits).

Exemplo:

"12345678"

Resposta

OK

Provisioned participant settings, including the ISPB and last-updated timestamp (RFC 3339)

participantIspb
string
obrigatório

Provisioned FI participant ISPB, the 8-digit BACEN institution identifier.

Exemplo:

"12345678"

updatedAt
string
obrigatório

Timestamp the participant settings were last provisioned, RFC 3339 (UTC).

Exemplo:

"2026-06-14T12:00:00Z"